"""
Wrapper module for numeric math operation.

This module wraps some numpy functions in order to provide a common interface
with the 'symbolic_math' module that can be used for purely symbolic
calculations.
"""

import math
import numpy


__all__ = [
    'integer',
    'rational',
    'log',
    'full',
    'ones',
    'zeros',
    'simplify',
]


# number creation
def integer(a):
    return a

def rational(a, b):
    return a / b


# math functions
log = math.log2


# array creation
full = numpy.full

ones = numpy.ones

zeros = numpy.zeros


# array iteration
ndenumerate = numpy.ndenumerate


# symbolic operations
def simplify(a):
    return a
